Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/enterprise/securityClassification-6VMVochwUWo" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[{
"op": "replace",
"path": "/Box__Security__Classification__Key",
"value": "Internal"
}]'{
"Box__Security__Classification__Key": "Sensitive",
"$parent": "folder_59449484661,",
"$template": "securityClassification-6VMVochwUWo",
"$scope": "enterprise_27335",
"$version": 1,
"$type": "securityClassification-6VMVochwUWo-fd31537a-0f95-4d86-9f2b-5974a29978f8",
"$typeVersion": 5,
"$canEdit": true
}ファイルの分類を更新します。
分類を更新できるのは、分類がすでにファイルに適用されている場合のみです。分類を編集する際は、会社に対して定義されている値のみを使用できます。
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/enterprise/securityClassification-6VMVochwUWo" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[{
"op": "replace",
"path": "/Box__Security__Classification__Key",
"value": "Internal"
}]'{
"Box__Security__Classification__Key": "Sensitive",
"$parent": "folder_59449484661,",
"$template": "securityClassification-6VMVochwUWo",
"$scope": "enterprise_27335",
"$version": 1,
"$type": "securityClassification-6VMVochwUWo-fd31537a-0f95-4d86-9f2b-5974a29978f8",
"$typeVersion": 5,
"$canEdit": true
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
ファイルを表す一意の識別子。
ファイルIDを確認するには、ウェブアプリケーションでファイルにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/files/123の場合、file_idは123です。
値は常にreplaceになります。
replace "replace"
企業で使用できる分類を定義します。
/Box__Security__Classification__Key "/Box__Security__Classification__Key"
更新された分類メタデータテンプレートインスタンスを返します。
ファイルまたはフォルダに適用される分類を含む、分類メタデータテンプレートのインスタンス。
項目に適用される分類に関する詳細を取得するには、分類メタデータテンプレートをリクエストしてください。
項目に適用される分類の名前。
"Sensitive"
このメタデータインスタンスが追加されている項目の識別子。これは、親のtypeとidを{type}_{id}という形式で組み合わせたものです。
"folder_59449484661,"
値は常にsecurityClassification-6VMVochwUWoになります。
securityClassification-6VMVochwUWo "securityClassification-6VMVochwUWo"
この分類が適用されている会社のスコープ。
これはenterprise_{enterprise_id}形式になります。
"enterprise_27335"
メタデータインスタンスのバージョン。このバージョンは0から始まり、分類が更新されるたびに増加します。
1
この分類インスタンスの一意のID。これには、分類テンプレートの名前と一意のIDが含まれます。
"securityClassification-6VMVochwUWo-fd31537a-0f95-4d86-9f2b-5974a29978f8"
メタデータテンプレートのバージョン。このバージョンは0から始まり、テンプレートが更新されるたびに増加します。これはほとんどの場合、内部で使用されます。
5
エンドユーザーが分類を変更できるかどうか。
true
このページは役に立ちましたか?